#
# Use this makefile with the command
#   C:\cs59000-05\mingw32\bin\mingw32-make.exe -f  10-race-subtle-example.mak
#
#
# Notice that this make file uses the special gcc option -fforce-mem
# that forces gcc to use registers for what would otherwise be memory
# access only instructions.
#
CC = C:\cs59000-05\mingw32\bin\gcc.exe
#CFLAGS = -O -Wall -fverbose-asm -Wa,-a,-adhlns=$@.asm
#CFLAGS = -g -Wall -fverbose-asm -Wa,-a,-adhlns=$@.asm -fforce-mem
CFLAGS = -g -Wall -fverbose-asm -Wa,-a,-adhlns=$@.asm
#RM = rm -fv
RM = del

PROGRAM = 10-race-subtle-example

all: $(PROGRAM)

$(PROGRAM): $(PROGRAM).c
	$(CC) $(CFLAGS) -o $@.exe $< pthread.lib

# delete only the files that we made
clean:
	${RM} $(PROGRAM).asm $(PROGRAM).exe
